#----------------------------------------------------#
# Resets the map to the starting scene
#
# Scripter: Liontack
# Called by function command
#----------------------------------------------------#



### Count a death for the player nearest to the death location
scoreboard players add @s deaths 1

### Reset players
tp @a 209 101 200 0 0
playsound minecraft:entity.player.attack.crit master @a 209 101 200
tag @a remove DeathFall
effect clear @a
effect give @a minecraft:saturation 999999 9 true
execute as @e[type=player] run attribute @s generic.max_health base set 20
clear @a
item replace entity @e[type=player] armor.head with minecraft:cobweb{Enchantments:[{id:"minecraft:binding_curse", lvl:1s}], CustomModelData:1, display:{Lore:["\"There seems to be no knowledge here.\""]}, HideFlags:1} 1
#replaceitem entity @a armor.head air
#replaceitem entity @a armor.head minecraft:mangrove_roots{Enchantments:[{id:"minecraft:binding_curse", lvl:1s}], CustomModelData:1, display:{Lore:["\"There seems to be no knowledge here.\""]}, HideFlags:1}
gamemode adventure @a



### Reset scoreboard variables
scoreboard players set b_anvil_dropped variables 0
scoreboard players set b_apple_given variables 0
scoreboard players set b_apple_taken variables 0
scoreboard players set i_fence_gates_stage variables 0
scoreboard players set i_lower_maze_step variables 0
scoreboard players set i_upper_maze_step variables 0
scoreboard players set b_open_fence_gate variables 0
scoreboard players set b_compass_taken variables 0
scoreboard players set b_walked_away_from_start variables 0
scoreboard players set i_piston_timer variables 0
scoreboard players set i_lava_timer variables 0
scoreboard players set i_lava_sound_timer variables 0
scoreboard players set i_sword_timer variables 0
scoreboard players set i_head_space variables 0
scoreboard players set chest_kill_timer variables 0
scoreboard players set apple_lock_timer variables 0
scoreboard players set b_bamboo_given variables 0
scoreboard players set i_craft_magic_wand variables 0
scoreboard players set i_letters_burnt variables 0
scoreboard players set green_letters variables 0
scoreboard players set i_item_kill variables 0

scoreboard players reset @a chests_opened
scoreboard players reset @a barrels_opened

scoreboard players set @e[type=player] player_y_pos_set 99999



### Set blocks
setblock 209 101 206 air
setblock 209 101 206 chest[facing=north]

setblock 209 101 208 air
setblock 209 101 208 oak_fence_gate[open=false]

setblock 209 101 220 air
setblock 209 101 220 acacia_fence_gate[open=false]

setblock 211 101 232 air
setblock 211 101 232 acacia_fence_gate[open=false]

setblock 207 101 232 air
setblock 207 101 232 acacia_fence_gate[open=false]

setblock 209 101 194 air
setblock 209 101 194 oak_door[half=lower]
setblock 209 102 194 oak_door[half=upper]

setblock 211 101 207 stone_brick_wall
setblock 207 101 207 stone_brick_wall
setblock 209 105 210 warped_button[facing=south]
setblock 209 107 209 warped_button[facing=south]
setblock 209 100 218 piston[facing=up]
setblock 214 118 243 piston[facing=up]
setblock 209 99 218 air
setblock 209 101 218 air
setblock 209 102 226 enchanting_table
setblock 207 103 229 enchanting_table
setblock 211 104 229 enchanting_table
setblock 207 106 225 enchanting_table
setblock 209 107 227 enchanting_table
setblock 210 102 226 air
setblock 207 103 228 air
setblock 210 104 230 air
setblock 208 106 224 air
setblock 209 107 228 air
setblock 209 101 199 stone_brick_wall
setblock 209 101 233 dark_oak_button[facing=south, face=floor]
setblock 209 99 236 air
setblock 209 101 207 oak_trapdoor[facing=south, open=true] replace
setblock 209 102 207 oak_trapdoor[facing=south, open=true] replace
setblock 203 116 246 bookshelf
setblock 203 117 246 birch_planks

fill 206 90 223 212 90 232 air
fill 212 90 233 206 93 233 iron_trapdoor
fill 212 100 223 206 100 232 soul_sand
fill 206 89 223 212 89 232 soul_sand
fill 201 100 195 217 109 241 air replace anvil
fill 201 100 195 217 109 241 air replace chipped_anvil
fill 213 100 211 205 100 216 polished_blackstone_button[face=floor] replace air
fill 130 181 134 284 237 134 oak_planks replace crimson_planks
fill 130 181 134 284 237 134 oak_planks replace warped_planks
fill 208 117 245 210 117 247 glass

clone 208 98 199 210 99 201 208 103 199
clone 203 100 240 203 100 239 202 110 239 replace



### Set container contents
data modify block 209 104 206 Items set value [{Slot: 4b, id:"minecraft:apple", Count: 1b}]
data modify block 209 103 207 Items set value [{Slot: 13b, id:"minecraft:jungle_button", Count: 2b, tag:{CanPlaceOn:["piston", "sticky_piston"], HideFlags: 127}}]
#data modify block 209 97 207 Items set value [{Slot: 13b, id:"minecraft:trident", Count: 1b, tag:{display:{Name:'{"text":"Arrow"}'}, HideFlags: 127}}]
data modify block 209 99 210 Items set value [{Slot: 0b, id:"minecraft:snowball", Count: 1b, tag:{display:{Name:'{"text":"Slimeball"}'}}}, {Slot: 2b, id:"minecraft:snowball", Count: 1b, tag:{display:{Name:'{"text":"Slimeball"}'}}}]
data modify block 209 100 237 Items set value [{Slot: 4b, id: "minecraft:light_blue_terracotta", Count: 1b}, {Slot: 12b, id: "minecraft:magenta_terracotta", Count: 1b}, {Slot: 14b, id: "minecraft:light_gray_terracotta", Count: 1b}, {Slot: 20b, id: "minecraft:gray_terracotta", Count: 1b}, {Slot: 22b, id: "minecraft:cyan_terracotta", Count: 1b}, {Slot: 24b, id: "minecraft:red_terracotta", Count: 1b}]
data modify block 209 101 190 Items set value [{Slot: 0b, id: "minecraft:mangrove_roots", Count: 1b}, {Slot: 1b, id: "minecraft:mangrove_roots", Count: 1b}, {Slot: 2b, id: "minecraft:mangrove_roots", Count: 1b}, {Slot: 3b, id: "minecraft:mangrove_roots", Count: 1b}, {Slot: 4b, id: "minecraft:mangrove_roots", Count: 1b}, {Slot: 5b, id: "minecraft:mangrove_roots", Count: 1b}, {Slot: 6b, id: "minecraft:mangrove_roots", Count: 1b}, {Slot: 7b, id: "minecraft:mangrove_roots", Count: 1b}, {Slot: 8b, id: "minecraft:mangrove_roots", Count: 1b}, {Slot: 9b, id: "minecraft:mangrove_roots", Count: 1b}, {Slot: 13b, id: "minecraft:written_book", Count: 1b, tag: {pages: ['{"text":"Give me the colors\\n\\n\\nfrom left to right\\n\\n\\nas they are from\\n\\n\\nbottom to top\\n"}'], title: "Mysterious Book", author: "Secret"}}, {Slot: 17b, id: "minecraft:mangrove_roots", Count: 1b}, {Slot: 18b, id: "minecraft:mangrove_roots", Count: 1b}, {Slot: 19b, id: "minecraft:mangrove_roots", Count: 1b}, {Slot: 20b, id: "minecraft:mangrove_roots", Count: 1b}, {Slot: 21b, id: "minecraft:mangrove_roots", Count: 1b}, {Slot: 22b, id: "minecraft:mangrove_roots", Count: 1b}, {Slot: 23b, id: "minecraft:mangrove_roots", Count: 1b}, {Slot: 24b, id: "minecraft:mangrove_roots", Count: 1b}, {Slot: 25b, id: "minecraft:mangrove_roots", Count: 1b}, {Slot: 26b, id: "minecraft:mangrove_roots", Count: 1b}]
data modify block 211 87 212 Items set value [{Slot: 13b, id:"minecraft:crimson_fungus", Count: 1b, tag:{display:{Lore:["\"Part of a magic wand.\""]}}}]
clone 209 96 207 209 96 207 209 97 207

execute positioned 209 90 238 run kill @e[type=item_frame, limit=1, sort=nearest, distance=..3]
summon item_frame 209 90 238 {Facing:3b, Invisible:1b, Item:{id:"minecraft:compass", Count: 1b, tag:{LodestoneDimension: "minecraft:overworld", LodestonePos:{X:209, Y:99, Z:190}}}}
execute positioned 203 117 246 run kill @e[type=item_frame, distance=..2]
summon item_frame 203.47 117.48 247.00 {Facing: 3b, Invisible: 1b}

data modify entity @e[tag=Liontack, limit=1] Pose.RightArm[0] set value 320f
data modify entity @e[tag=Liontack, limit=1] HandItems set value []

kill @e[type=item]
kill @e[type=falling_block]
kill @e[type=trident]
kill @e[tag=projectile]
kill @e[tag=rotator]



#fix hint
data modify block 209 104 206 CustomName set value '{"text":"Oak log WITH leaves"}'

